﻿
local AssignSoldier = foundation.createMod();

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.8") < 0) then
    AssignSoldier:msgBox("AssignSoldier: game version anterior to 1.8")
    return
end
_scriptFolder = "scripts1.8"
AssignSoldier:msgBox("AssignSoldier: game version" .. foundation.getGameVersion())

_assignSoldierPrefix = "ASSIGN_SOLDIER_V4"
_StoneGateSetPrefix = "STONE_GATE_V8"
_CommonWindowPrefix = "CUSTOM_WINDOW_V3"

-- Temporary: global function from Stone Gate Set
AssignSoldier:dofile(_scriptFolder .. "/customTheme.lua")
AssignSoldier:dofile(_scriptFolder .. "/common.lua", _StoneGateSetPrefix, _CommonWindowPrefix)

-- check all the mandatory dependencies
_flagSg8 = checkVersion(AssignSoldier, "AssignSoldierV4", "Stone Gate Set V8", "619bbc58-a954-4c26-b3cf-d67b87710201", "8.0.11")
_flagSecurity = checkVersion(AssignSoldier, "AssignSoldierV4", "Security", "99ee3b3b-f103-41f0-a725-bc466a2fc6de", "1.0.18")
_flagSecurity2 = checkVersion(AssignSoldier, "AssignSoldierV4", "Security 2.0", "ee00bed2-f02c-4dd2-896d-5efef8d8e2d2", "2.0.10")
if not _flagSg8 then
    return 
end

AssignSoldier:dofile(_scriptFolder .. "/monument.lua")
